package com.fzm.mall.server.admin.finance_center.enums.type;

/**
 * @author wangp
 * @date 2021/4/30 16:04
 * @description
 * @since JDK 1.8
 */
public enum AssetsFlowTypeEnum {
    ZFB_TRAN_IN(1),//支付宝转账-转入
    ZFB_TRAN_OUT(2),//支付宝转账-转出
    WX_TRAN_IN(3),//微信转账-转入
    WX_TRAN_OUT(4),//微信转账-转出
    DIGITAL_TRAN_IN(5),//数字资产转帐-转入
    DIGITAL_TRAN_OUT(6),//数字资产转账-转出
    RECHARGE(7),//充值
    WITHDRAWAL(8),//提现
    PAY(9),//支付
    REFUND(10),//退款
    SALE(11),//销售
    ISSUE(12),//发行
    ADD_ISSUE(13),//增发
    RECOVER(14),//回收
    REDUCE_ISSUE(15),//减发
    WITHDRAW_MONEY(16),//提币
    DEDUCTION(17);//扣除

    private Integer type;

    AssetsFlowTypeEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }
}
